---
name: Bug report
about: Create a bug report to help us improve SU2
title: ''
labels: bug
assignees: ''

---

*If this is a general question or difficulty building/using the code, please open a "Discussion" instead.*

**Describe the bug**
*Give a clear and concise description of what the bug is and what you expect the behavior to be instead. Please provide enough instructions and data for a developer to reproduce the problem (config, mesh, commands, etc.). Please provide the smallest working example that reproduces the problem.*


**Bug report checklist**
*Please make sure that you have followed the checklist below, many common problems can be solved by:*

- [ ] Consulting the build instructions (https://su2code.github.io/docs_v7/Build-SU2-Linux-MacOS/).
- [ ] Looking for similar problems on GitHub or CFD-Online (https://www.cfd-online.com/Forums/su2/).
- [ ] Updating to the newest version of SU2 (either develop, master, or the pre-built executables https://su2code.github.io/download.html).


**Desktop (please complete the following information):**
 - OS: [e.g., Linux (Redhat 6.6)]
 - C++ compiler and version: [e.g., g++ (GCC) 4.8.5]
 - MPI implementation and version: [e.g., OpenMPI 3.0.0]
 - SU2 Version: [e.g., v6.2.0]

